[tool.poetry]
name = "punkeditor"
version = "0.0.0"
description = "Framework for flexible and powerful curses-based applications"
authors = ["Steampunk Wizard <punkeditor@steampunkwizard.ca>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "~3.11"
wizlib = "^2.0.15"

[tool.poetry.group.dev.dependencies]
pycodestyle = "^2.11.0"
coverage = "^7.3.1"
autopep8 = "^2.0.4"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
punke = "punkeditor.handler:PunkEditorHandler.shell"
